/////////////////////////////////////////////////////////////
//
//  409389.pov
//  Copyright R.P. Stolk. 2005. <rpstolk@yahoo.com>
//
//  License: GNU GENERAL PUBLIC LICENSE Version 2, June 1991
//
//  PovComp 2004 entry nr: 409389
//
//  Render instructions:
//  +w1580 +h1185 +a0.2 -j +FN
//
//  zoom in 1 (5x): ( +sc619 +ec933  +sr126 +er630 )
//  +w7900 +h5925 +a0.2 -j +FP +sc3095 +ec4665 +sr630  +er1810 -D
//
//  zoom in 2 (5x): ( +sc333 +ec647 +sr228 +er464 )
//  +w7900 +h5925 +a0.2 -j +FP +sc1665 +ec3235 +sr1140 +er2320 -D
//
//  fast Render:
//  +w800 +h600 +a0.4 -j +FN
//
/////////////////////////////////////////////////////////////

#declare use_traan = true;
//#declare use_traan = false;

#declare use_rad = true;
//#declare use_rad = false;

#declare use_mist = true;
//#declare use_mist = false;

//include files
#include "colors.inc"

#include "shapes.inc"
#include "include\materials_2.inc"
//#include "include\sky.inc"
#include "include\bot.inc"
#include "include\zenuw_bot.inc"
#include "include\schuur.inc"
#include "include\stuff2.inc"


 
//////////////CAMERA+LICHT///////////////////////// 
  light_source {<190,500,490> rgb <1.0, 1.0, 0.95>*1.5} 
  light_source {<-800,1000, -300>*10 rgb <1.0, 1.0, 0.95>*0.5} 
  light_source {<0   ,1000,-1050>*10 rgb <1.0, 1.0, 0.95>*0.5} 
  
  camera {location <300,150,400>*0.8 direction 2*z look_at <0,80,0> angle 37}      // normal

//camera {location <300,150,400>*15 direction 2*z look_at <0,80,0> angle 37}      // buiten

 
////////////////OMGEVING///////////////////////// 
#if(use_mist)
 fog{
  distance 150
  color rgbf<127/255,127/255, 127/255, 0.8>
  fog_type 2 //2
  fog_offset 40
  fog_alt 8
  turbulence 0.55
  turb_depth 50
  } 
#end


#declare Blob_threshold=0.01;

#declare bergen =
union{
  object{
  isosurface {
    function { y + f_noise3d(x, 0, z) }
    max_gradient 1.5
    contained_by { box { -6, 6 } }
  }
  scale <4/6,1,4/6>
  rotate <3,8,-3>
  translate <-4,0.5,-4>
  scale 500
  }
  material{material_bergen}
}

sky_sphere {

   pigment {
      bozo
      turbulence 5//0.65
      octaves 6
      omega 0.7
      lambda 2
      color_map {
          [0.0 0.1 color rgb <1, 1, 1>
                   color rgb <1,1, 1>]
          [0.1 1 color rgb <1, 1, 1>
                   color rgbt <1, 1, 1, 1>]
          [1 1.0 color rgbt <1, 1, 1, 1>
                   color rgbt <1, 1, 1, 1>]
       }
      scale <0.2, 0.5, 0.2>
    }
    rotate -135*x 
    
  }

////////////////////VERLICHTING/////////////////////////////// 

#declare verlichting =
union{
  box   {<-495,190,-800>,<-495,210,-820> material{steel3}}
  
  cylinder{<-499,202.5,-805>,<-499,202.5,-150>,3 material{steel3}}
  light_source{<-504,202.5,-750> rgb <1, 1, 1>*5 }
  light_source{<-504,202.5,-650> rgb <1, 1, 1>*5 }
  light_source{<-504,202.5,-550> rgb <1, 1, 1>*5 }
  light_source{<-504,202.5,-450> rgb <1, 1, 1>*5 } 
  light_source{<-504,202.5,-350> rgb <1, 1, 1>*5 }
  light_source{<-504,202.5,-250> rgb <1, 1, 1>*5 }

  box   {<30,0,1>,< -30,100,-1> rotate y*45 translate<-480,0,-980> material{steel3}}
                                              
  light_source{<-488, 50,-988> color White*5.0 spotlight radius 7 falloff 15 tightness 10 point_at <-500, 1000,-1000> }
} 


#declare red_lights =
 union{
    light_source {< 43, 150,-50> rgb <1.0, 0.0, 0.0>*6} //schotel
    light_source {<-50, 120, 75> rgb <1.0, 0.0, 0.0>*6} //schotel2
    light_source {< 22, 125,  0> rgb <1.0, 0.0, 0.0>*3} //boven_arm 
    light_source {<-18, 130, 30> rgb <1.0, 0.0, 0.0>*6} //onder_arm
    light_source {<-10,  56,  0> rgb <1.0, 0.0, 0.0>*4} //boven_been
   } 
    
#declare spot_light =
 union{
 
    light_source
    {
        < -350,300 ,-990 >,rgb <1, 1, 1>*2 spotlight
         radius 10 
         falloff 20 
         tightness 0 
         point_at < -460,95,-960>
    }

  cylinder{<-350  ,300,  -975>,<-340  ,320, -980>,5 material{steel3}}
  cylinder{<-345  ,310,-977.5>,<-345  ,310,-1000>,4 material{steel3}}

}


  
//////////////////robotje///////////////////////////

#declare robotje_ruw =
 union{

  box   {<10,2.5,20>,< -10,22.5,-20>material{material_been}}
  box   {<10,-14.14,14.14>,< -10,14.14,-14.14> rotate x*45 scale <1,0.5,1> translate<0,12.5,-20>material{material_been}}
  sphere {<0, 0, 0>,35  scale <0.4,0.07,1>  translate<0,12.5,-4> material {material_knie}}  
  sphere {<0, 0, 0>,35  scale <0.4,0.07,1>  scale <0.8,0.5,0.25>  translate<0,15,-22> material {material_knie}}  
  sphere {<0, 0, 0>,35  scale <0.4,0.07,1>  scale <0.8,0.5,0.25>  translate<0,17,-17> material {material_knie}}  
  sphere {<0, 0, 0>,35  scale <0.4,0.07,1>  scale <0.8,0.5,0.25>  translate<0,19,-12> material {material_knie}}  

  sphere {<0, 0, 0>,35  scale <0.4,0.07,1>  scale <0.8,0.5,0.25>  translate<0,17,-7> material {material_knie}}  
  sphere {<0, 0, 0>,35  scale <0.4,0.07,1>  scale <0.8,0.5,0.25>  translate<0,19,-3> material {material_knie}}  
  sphere {<0, 0, 0>,35  scale <0.4,0.07,1>  scale <0.8,0.5,0.25>  translate<0,19, 7> material {material_knie}}  
  
}  
#declare robotje =
difference{ 
  object{robotje_ruw }
    box   {<10.1,-14.14,14.14>,< -10.1,14.14,-14.14> rotate x*45 scale <1,0.5,1> translate<0,12.5,20>material{material_been}}
}
#declare wielen =
union{
    cylinder{<-10,2.5, 16>,<-12,2.5, 16>,2.5 }// links
    cylinder{<-10,2.5,  9>,<-12,2.5,  9>,2.5 }// links
    cylinder{<-10,2.5,  2>,<-12,2.5,  2>,2.5 }// links
    cylinder{<-10,2.5, -5>,<-12,2.5, -5>,2.5 }// links
    cylinder{<-10,2.5,-12>,<-12,2.5,-12>,2.5 }// links
    cylinder{<-10,2.5,-19>,<-12,2.5,-19>,2.5 }// links
}
#declare robotje_af =
 union{
   object{robotje }
   object{wielen  material{metal_licht_glad}}
   object{wielen translate<22,0,0> material{metal_licht_glad}}
   cylinder{< 0,22.5,-5>,< 0,  40,-5>,0.37 material {material_knie}}
   cylinder{< 2,22.5, 0>,< 2,  35, 0>,0.25 material {material_knie}}
   cylinder{<-3,22.5, 5>,<-3,24, 5>,1      material {material_knie}}
   sphere  {<-3,24, 5>,1   scale <1,0.5,1> material {material_knie}}  
   
   }   
   
#declare vlieg_robotje =
 union{
   sphere  {< 0,   0, 0>,10 scale <1,0.2,1> material {material_been}}  
   cone    {< 0,   0, 0>,1,< 0, 20,0>,0.5   material {material_knie}}
   cone    {< 0,   0, 0>,1,< 0,-20,0>,0.5   material {material_knie}}
   sphere  {< 0,-20,0>,1                    material {material_been}}  
   sphere  {< 0, 20,0>,1                    material {material_been}}  

  }   
#declare vlieg_robotje2 =
 difference{
  object{ vlieg_robotje  }                     
  torus {10  , 0.5  translate<0,0,0>  material{goud}}
  sphere  {< 0,   0, 0>,10 scale <1,0.2,1> scale <0.9,0.9,0.9> material {material_been}}  
  cylinder{< 0,-1, 3>,< 0,5, 3>,1 material {material_been}}
  cylinder{< 0,-1,-3>,< 0,5,-3>,1 material {material_been}}
  cylinder{< 3,-1, 0>,< 3,5, 0>,1 material {material_been}}
  cylinder{<-3,-1, 0>,<-3,5, 0>,1 material {material_been}}
  
 } 



     
//////////////////ONDERDELEN///////////////////////////

 union{ 
    object{ draden  translate <0,110,0>}
    object{ hydraulique translate <0,110,0>}
    object{ bot    translate <0,110,0>}
    object{ schuur                    }     
    object{ verlichting             }
    object{ bergen                    }     
    object{ robotje_af rotate y*45  translate<   0,1,-200> }                     
    object{ robotje_af rotate y*-45 translate<-300,1,-250> material{material_knie}}                     
    object{ vlieg_robotje2  rotate z*-30  rotate y*-45 translate<43,150,-50> }                     
    object{ vlieg_robotje2  rotate x*20 rotate z*-30   rotate y*-45 translate<-50,120,75> }                     
    object{ red_lights   }                     
    object{ spot_light   }                     
                               
  plane { <0, -1, 0>, -1  material{grijs}}  // material_vloer
  hollow
}       



      
                                                                                                                        
                                                                                                                        
                                                                                                                        
      