/////////////////////////////////////////////////////////////
//
//  materials.inc
//
//  Copyright R.P. Stolk. 2005. <rpstolk@yahoo.com>
//
//  License: GNU GENERAL PUBLIC LICENSE Version 2, June 1991
//
//  PovComp 2004 entry nr: 409389
//
/////////////////////////////////////////////////////////////

#include "metals.inc"
#include "woods.inc"
#include "golds.inc"
#include "stones1.inc"

#declare wit_bergen =
material{
  texture {
    pigment { color rgb < 1,1,1 >}
    finish  {
      phong       0.1
      ambient     0.1
      diffuse     0.7
      reflection  0.0
    }
  }
}

#declare rood =
material{
  texture {
    pigment { color rgb < 230/255 , 0/255 , 0/255 >}
    finish  {
      phong       0.1
      ambient     0.1
      diffuse     0.7
      reflection  0.0
    }
  }
}
                 
#declare blauw =
material{
texture {
      pigment { color rgb < 0/255 , 0/255 , 200/255>}
      finish  {
            phong       0.1
            ambient     0.1
            diffuse     0.7
            reflection  0.0
         } 
}}                 

#declare grijs =
material{
texture {
      pigment { color rgb < 128/255 , 128/255 , 128/255>}
      finish  {
            phong       0.1
            ambient     0.1
            diffuse     0.7
            reflection  0.0
         }
}}                 

#declare wit =
material{
texture {
      pigment { color rgb < 225/255 , 225/255 , 225/255 >}
      finish  {
            phong       0.0
            ambient     0.1
            diffuse     0.8
            reflection  0.0
         }
}}                 

#declare metal_licht_glad=
material {
  texture { T_Chrome_5A
  }  
} 

#declare goud=
material {
  texture { T_Gold_5D
    
  }  
}

#declare zilver =
material {
  texture { T_Silver_1A
    
  }  
}
#declare steel1 =
material {
  texture { T_Chrome_2A
    
  }  
}
#declare steel2 =
material {
  texture { T_Chrome_2B
    
  }  
}


#declare steel4 =
material {
  texture { T_Chrome_3A
    
  }  
}


#declare steel3 =
material {
  texture {
    pigment {
      P_Chrome3
    }
    finish {
      ambient 0.35
      brilliance 2
      diffuse 0.3
      metallic
      specular 0.80
      roughness 1/20
      reflection 0.0 //0.1
    }
  }
}



#declare steel4 =
material {
  texture { T_Chrome_3B
    
  }  
}


#declare metal_donker=
material {
  texture { T_Chrome_3A
    normal {  crackle 0.75 scale 0.3 }       // sterkte, grote
  }  
} 

#declare metal_licht=
material {
  texture { T_Chrome_5A
    normal {  crackle 0.75 scale 0.3 }       // sterkte, grote
  }  
} 

//%%%%%%%%%%%%%%%%%%%%%%%%%% kleuren: %%%%%%%%%%%%%%%%%%%%%%%%%%%%%

#declare kleuren = 0; // snel
#declare kleuren = 1; // mooi


#if(kleuren=0) // snel
  #declare material_been   = blauw;
  #declare material_knie   = rood;
  #declare material_voet   = rood;
  #declare material_voet_2 = blauw;
  #declare material_arm    = blauw;
  #declare material_buik   = rood;
  #declare material_buik_2 = blauw;
  #declare material_borst  = blauw;
  #declare material_hoofd1 = rood;
  #declare material_hoofd2 = blauw;
  #declare material_nek    = rood;
  #declare material_kaak   = blauw;
  #declare material_s      = rood;
  #declare material_e      = rood;
  #declare material_vinger = rood;
  #declare material_vinger2= blauw;
  #declare material_vloer  = wit;
  #declare material_bergen = wit_bergen;
  #declare grijs_muur  = grijs;
#end

#if(kleuren=1) // mooi]

  #declare material_been   = metal_donker;
  #declare material_knie   = metal_licht;
  #declare material_voet   = metal_licht;
  #declare material_voet_2 = metal_donker;
  #declare material_arm    = metal_donker;
  #declare material_buik   = metal_licht; 
  #declare material_buik_2 = metal_donker;
  #declare material_borst  = metal_donker;
  #declare material_hoofd1 = metal_licht;
  #declare material_hoofd2 = metal_donker;
  #declare material_nek    = metal_licht;
  #declare material_kaak   = metal_donker;
  #declare material_s      = metal_licht;
  #declare material_e      = metal_licht;
  #declare material_vinger = metal_licht;
  #declare material_vinger2= metal_donker;
  #declare material_vloer  = goud;
  #declare material_bergen = wit_bergen;
  #declare grijs_muur  = grijs;

  #if(use_rad)
  global_settings { // radiosity (global illumination) settings
    radiosity {
      pretrace_start 0.08           // start pretrace at this size
      pretrace_end   0.005          // end pretrace at this size
      count  400                    // higher -> higher quality (1..1600) [35]
      error_bound 0.1               // higher -> smoother, less accurate [1.8]
      recursion_limit 1             // how much interreflections are calculated (1..5+) [3]
    }
  }
  #end
    
#end









                      