///////////////////////////////////////
//
//  zenuw_bot.inc
//
//  Copyright R.P. Stolk. 2005. <rpstolk@yahoo.com>
//
//  License: GNU GENERAL PUBLIC LICENSE Version 2, June 1991
//
//  PovComp 2004 entry nr: 409389
//
/////////////////////////////////////////////////////////////

#declare hoofd =
 union{
  sphere_sweep {
   b_spline
   7,                            // number of specified sphere positions
   <  0, 42,  0>, 1.5              // position, radius
   <  2, 42,  8>, 1.5              // position, radius
   < 11, 35,  8>, 1.5              // position, radius
   < 12, 28,  8>, 1.5              // position, radius
   <  7, 20, -8>, 1.5              // ...
   <  5, 10,-10>, 1.5
   <  5,  0, -5>, 1.5
   tolerance 0.1            // optional
   material{goud}
 }
   torus {7.5, 0.25 rotate -90*x rotate 90*y rotate-45*z  translate<3,45,0> material{goud}}
   torus {7.5, 0.25 rotate -90*x rotate 90*y rotate-45*z  translate<2,46,0> material{goud}}
   torus {7.5, 0.25 rotate -90*x rotate 90*y rotate-45*z  translate<4,44,0> material{goud}}
   cylinder{< 0,41.5, 0>,< 4.5,46.2,7>,2.5 material{zilver}}

 sphere_sweep {
   b_spline                         
   7,                             // number of specified sphere positions
   <  0, 40, 0>, 0.5              // position, radius 
   < -3, 40, 8>, 0.5              // position, radius
   < -9, 35, 6>, 0.5              // position, radius
   < -5, 43, 6>, 0.5              // position, radius
   <-13, 40,10>, 0.5              // position, radius
   < -5, 50,-5>, 0.5              // position, radius
   <  0, 50,-5>, 0.5              // position, radius
   tolerance 0.1             // optional 
   material{goud}
 }

}

#declare boven_arm =
 union{
  cylinder{<3   ,-5, 1>,<  3 ,-20, 1>,0.5 material{goud}}
  cylinder{<2.25,-5, 1>,<2.25,-20, 1>,0.5 material{goud}}
  cylinder{<   1,-5, 3>,<   1,-20, 2>,0.5 material{goud}}
  cylinder{<   0,-5, 0>,<   0,-20, 0>,0.5 material{goud}}
  cylinder{<  -1,-5, 2>,<  -1,-20, 2>,0.5 material{goud}}
  cylinder{<  -2,-5, 1>,<  -2,-20, 1>,0.5 material{goud}}
  torus {3.25  , 0.5  rotate z*-35 translate<3,-15,0>  material{goud}}
  torus {3.25  , 0.5  rotate z*-20 translate<3,-12,0>  material{goud}}
 
 
}

#declare onder_arm =
 union{
  cylinder{< 0, -5,   0  >,< 0,-20,   0>,0.5 material{goud}}
  cylinder{< 1, -5,   1  >,< 1,-20,   1>,0.5 material{goud}}
  cylinder{<-1.5,-10,-1.5>,< 1,-20,-1.5>,0.5 material{goud}}
  cylinder{<-1, -5,   1  >,<-1,-20,   1>,0.5 material{goud}}
  torus { 3.5 , 0.5  rotate z*-60 translate<0,-12,-2>  material{goud}}

 sphere_sweep {
   b_spline
   7,                              // number of specified sphere positions
   <  1,-10, 0>, 0.25                // position, radius 
   <  1,-10, 0>, 0.25                  // position, radius
   <  1,-11,-1>, 0.25              // position, radius
   < -3,-15,-3>, 0.25                // position, radius
   <  1,-18,-1>, 0.25              // position, radius
   <  1,-20, 0>, 0.25              // position, radius
   <  1,-20, 0>, 0.25              // position, radius
   tolerance 0.1             // optional 
   material{goud}
 }


}
#declare buik_been_l =
 union{
  sphere_sweep {
   b_spline
   7,                        // number of specified sphere positions
   < 7,-18, 0>, 1.25            // position, radius 
   < 7,-18,10>, 1.25            // position, radius
   <10,-20,15>, 1.25            // position, radius
   <10,-25,17>, 1.25            // position, radius
   <10,-30,15>, 1.25            // position, radius
   <10,-33,10>, 1.25            // position, radius
   <10,-33, 0>, 1.25            // position, radius
   tolerance 0.1             // optional 
   material{goud}
  }
}
#declare buik_been_r =
 union{
  sphere_sweep {
   b_spline
   7,                        // number of specified sphere positions
   < -7,-18, 0>, 1.25            // position, radius 
   < -7,-18,10>, 1.25            // position, radius
   <-10,-22,15>, 1.25            // position, radius
   <-10,-25,14>, 1.25            // position, radius
   <-10,-30,15>, 1.25            // position, radius
   <-10,-37,10>, 1.25            // position, radius
   <-10,-37, 0>, 1.25            // position, radius
   tolerance 0.1             // optional 
   material{goud}
  }
}
#declare borst_plaat =
 union{
  sphere {<0, 0, 0>,27 scale <0.85,0.75,0.5> translate <0, 5.5,0> material {goud}}  
}

#declare borst_plaat_geknipt =
 difference{
 object{borst_plaat }
  box   {<30,17.5,30>,<-30,28,-30> } 
  box   {<10,14.5,30>,<-30,28,-30> }   
  box   {<12,-28 ,30>,<  8,28,-30> } 
  box   {<15,-28 ,30>,< 30,28,-30> } 
  box   {< 5,-28 ,30>,<-30,28,-30> } 
  box   {<30, 4.5,30>,<-30,-28,-30> } 
  box   {<30,7.5,30>,< 10,-28,-30> } 
  


 
}


#declare borst =
 union{

  cylinder{<-7 , 0, 5>,<-15 , 15, 5>,0.5 material{goud}} 
  cylinder{<-4 , 2, 5>,<-13 , 20, 5>,0.5 material{goud}} 
  cylinder{<-2 , 5, 5>,<-10 , 20, 5>,0.5 material{goud}}
   
  cylinder{<0, 7,5>,<-15, 7,5>,0.5 material{goud}} 
  cylinder{<0,11,5>,<-15,11,5>,0.5 material{goud}} 

  cylinder{<-7 ,15, 5>,<-15 ,  2, 5>,0.5 material{goud}} 
  cylinder{<-2 ,20, 5>,<-10 ,  5, 5>,0.5 material{goud}}
  
  torus { 3.5 , 0.5  rotate z*-60  translate<-10,14,10>  material{goud}}
  torus { 3.5 , 0.5  rotate z*-30  translate<-6 ,12,10>  material{goud}}
  
  torus { 4.5 , 1  rotate z*-150 translate<10,13,10>  material{goud}} 
  torus { 4.5 , 1  rotate z*-150 translate<10, 8,10>  material{goud}}
   
  object{borst_plaat_geknipt }
  }
  
  
#declare been =
 union{
  cylinder{<1.5, -3, 0>,<1.5, -25, 0>,0.5 material{goud}} 
  cylinder{<1  , -3, 2>,<1  , -25, 2>,0.5 material{goud}} 
  cylinder{<1  , -3, 4>,<1  , -25, 4>,0.5 material{goud}} 
  cylinder{<2  , -3,-2>,<2  , -25,-2>,0.5 material{goud}} 
  cylinder{<2  , -3,-4>,<2  , -25,-4>,0.5 material{goud}} 
  cylinder{<2  , -3,-6>,<2  , -25,-6>,0.5 material{goud}} 
//  cylinder{<1  , -3, 6>,<1  , -20, 6>,0.5 material{goud}} 

}

#declare been_l =
 union{
  torus { 7 , 1  translate <0,-16,0> rotate lh translate <10,-30,0> material{goud}}
 }
                         
/////////////////////////////////////////////////////////////////////////////
#declare hydraulique_ram =
 union{
  cylinder{<0, 1,0 >,< 0,-10,0>,0.75   material{goud}}
  cylinder{<0,-10,0 >,< 0,-15,0>,0.5 material{metal_licht_glad}}
    sphere {<0,0, -1>,2   material {goud}}  
} 
////////////////////////////////////////////////////////////////////////////// 
#declare draden=
 union{
  object{ hoofd   } 
  object{ boven_arm  rotate z*50 translate < 17,20,0> }  
  object{ onder_arm  rotate y*180 rotate x*-90 translate <-17,20,25>  } 
  object{ buik_been_l   } 
  object{ buik_been_r   } 
  object{ borst   } 
  object{ been  translate <-10,-35,0>  } 
  object{ been_l   } 
 hollow                                                                         
}

////////////////////////////////////////////////////////////////////
#declare hydraulique=
 union{
  object{ hydraulique_ram rotate z* 20 rotate x*-25 rotate le translate <0,-32,0> rotate lk translate <0,-35,0> rotate lh translate <10,-30,3>}
  object{ hydraulique_ram rotate z*-20 rotate x*-25 rotate le translate <0,-32,0> rotate lk translate <0,-35,0> rotate lh translate <10,-30,3>}


  object{ hydraulique_ram rotate z* 20 rotate x*-5 rotate re translate <0,-32,0> rotate rk translate <0,-35,0> rotate rh translate <-10,-30,3.5>}
  object{ hydraulique_ram rotate z*-20 rotate x*-5 rotate re translate <0,-32,0> rotate rk translate <0,-35,0> rotate rh translate <-10.5,-30,3.5>}

   }